Viewing docs for IonosCloud v0.3.0
published on Wednesday, Apr 15, 2026 by ionos-cloud
published on Wednesday, Apr 15, 2026 by ionos-cloud
Viewing docs for IonosCloud v0.3.0
published on Wednesday, Apr 15, 2026 by ionos-cloud
published on Wednesday, Apr 15, 2026 by ionos-cloud
The Objects data source can be used to search for and return existing objects.
⚠️ Note: The Terraform provider only supports contract-owned buckets. User-owned buckets are not supported, and there are no plans to introduce support for them. As a result, user-owned buckets cannot be created, updated, deleted, read, or imported using this provider.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as ionoscloud from "@ionos-cloud/sdk-pulumi";
const example = ionoscloud.objectstorage.getObjects({
bucket: "example",
prefix: "prefix1/",
delimiter: "/",
maxKeys: 100,
fetchOwner: true,
});
import pulumi
import pulumi_ionoscloud as ionoscloud
example = ionoscloud.objectstorage.get_objects(bucket="example",
prefix="prefix1/",
delimiter="/",
max_keys=100,
fetch_owner=True)
package main
import (
"github.com/ionos-cloud/pulumi-ionoscloud/sdk/go/ionoscloud/objectstorage"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := objectstorage.GetObjects(ctx, &objectstorage.GetObjectsArgs{
Bucket: "example",
Prefix: pulumi.StringRef("prefix1/"),
Delimiter: pulumi.StringRef("/"),
MaxKeys: pulumi.IntRef(100),
FetchOwner: pulumi.BoolRef(true),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Ionoscloud = Ionoscloud.Pulumi.Ionoscloud;
return await Deployment.RunAsync(() =>
{
var example = Ionoscloud.Objectstorage.GetObjects.Invoke(new()
{
Bucket = "example",
Prefix = "prefix1/",
Delimiter = "/",
MaxKeys = 100,
FetchOwner = true,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.ionoscloud.objectstorage.ObjectstorageFunctions;
import com.pulumi.ionoscloud.objectstorage.inputs.GetObjectsArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = ObjectstorageFunctions.getObjects(GetObjectsArgs.builder()
.bucket("example")
.prefix("prefix1/")
.delimiter("/")
.maxKeys(100)
.fetchOwner(true)
.build());
}
}
variables:
example:
fn::invoke:
function: ionoscloud:objectstorage:getObjects
arguments:
bucket: example
prefix: prefix1/
delimiter: /
maxKeys: 100
fetchOwner: true
Example coming soon!
Using getObjects
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getObjects(args: GetObjectsArgs, opts?: InvokeOptions): Promise<GetObjectsResult>
function getObjectsOutput(args: GetObjectsOutputArgs, opts?: InvokeOptions): Output<GetObjectsResult>def get_objects(bucket: Optional[str] = None,
delimiter: Optional[str] = None,
encoding_type: Optional[str] = None,
fetch_owner: Optional[bool] = None,
max_keys: Optional[int] = None,
prefix: Optional[str] = None,
start_after: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetObjectsResult
def get_objects_output(bucket: pulumi.Input[Optional[str]] = None,
delimiter: pulumi.Input[Optional[str]] = None,
encoding_type: pulumi.Input[Optional[str]] = None,
fetch_owner: pulumi.Input[Optional[bool]] = None,
max_keys: pulumi.Input[Optional[int]] = None,
prefix: pulumi.Input[Optional[str]] = None,
start_after: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetObjectsResult]func GetObjects(ctx *Context, args *GetObjectsArgs, opts ...InvokeOption) (*GetObjectsResult, error)
func GetObjectsOutput(ctx *Context, args *GetObjectsOutputArgs, opts ...InvokeOption) GetObjectsResultOutput> Note: This function is named GetObjects in the Go SDK.
public static class GetObjects
{
public static Task<GetObjectsResult> InvokeAsync(GetObjectsArgs args, InvokeOptions? opts = null)
public static Output<GetObjectsResult> Invoke(GetObjectsInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetObjectsResult> getObjects(GetObjectsArgs args, InvokeOptions options)
public static Output<GetObjectsResult> getObjects(GetObjectsArgs args, InvokeOptions options)
fn::invoke:
function: ionoscloud:objectstorage/getObjects:getObjects
arguments:
# arguments dictionarydata "ionoscloud_objectstorage_getobjects" "name" {
# arguments
}The following arguments are supported:
- Bucket string
- [string] The name of the bucket where the objects are stored.
- Delimiter string
- [string] A character used to group keys.
- Encoding
Type string - [string] Specifies the encoding method used to encode the object keys in the response. Default is url.
- Fetch
Owner bool - [bool] If set to true, the response includes the owner field in the metadata.
- Max
Keys int - [int] Sets the maximum number of keys returned in the response body.Default is 1000.
- Prefix string
- [string] Limits the response to keys that begin with the specified prefix.
- Start
After string - [string] Specifies the key to start after when listing objects in a bucket.
- Bucket string
- [string] The name of the bucket where the objects are stored.
- Delimiter string
- [string] A character used to group keys.
- Encoding
Type string - [string] Specifies the encoding method used to encode the object keys in the response. Default is url.
- Fetch
Owner bool - [bool] If set to true, the response includes the owner field in the metadata.
- Max
Keys int - [int] Sets the maximum number of keys returned in the response body.Default is 1000.
- Prefix string
- [string] Limits the response to keys that begin with the specified prefix.
- Start
After string - [string] Specifies the key to start after when listing objects in a bucket.
- bucket string
- [string] The name of the bucket where the objects are stored.
- delimiter string
- [string] A character used to group keys.
- encoding_
type string - [string] Specifies the encoding method used to encode the object keys in the response. Default is url.
- fetch_
owner bool - [bool] If set to true, the response includes the owner field in the metadata.
- max_
keys number - [int] Sets the maximum number of keys returned in the response body.Default is 1000.
- prefix string
- [string] Limits the response to keys that begin with the specified prefix.
- start_
after string - [string] Specifies the key to start after when listing objects in a bucket.
- bucket String
- [string] The name of the bucket where the objects are stored.
- delimiter String
- [string] A character used to group keys.
- encoding
Type String - [string] Specifies the encoding method used to encode the object keys in the response. Default is url.
- fetch
Owner Boolean - [bool] If set to true, the response includes the owner field in the metadata.
- max
Keys Integer - [int] Sets the maximum number of keys returned in the response body.Default is 1000.
- prefix String
- [string] Limits the response to keys that begin with the specified prefix.
- start
After String - [string] Specifies the key to start after when listing objects in a bucket.
- bucket string
- [string] The name of the bucket where the objects are stored.
- delimiter string
- [string] A character used to group keys.
- encoding
Type string - [string] Specifies the encoding method used to encode the object keys in the response. Default is url.
- fetch
Owner boolean - [bool] If set to true, the response includes the owner field in the metadata.
- max
Keys number - [int] Sets the maximum number of keys returned in the response body.Default is 1000.
- prefix string
- [string] Limits the response to keys that begin with the specified prefix.
- start
After string - [string] Specifies the key to start after when listing objects in a bucket.
- bucket str
- [string] The name of the bucket where the objects are stored.
- delimiter str
- [string] A character used to group keys.
- encoding_
type str - [string] Specifies the encoding method used to encode the object keys in the response. Default is url.
- fetch_
owner bool - [bool] If set to true, the response includes the owner field in the metadata.
- max_
keys int - [int] Sets the maximum number of keys returned in the response body.Default is 1000.
- prefix str
- [string] Limits the response to keys that begin with the specified prefix.
- start_
after str - [string] Specifies the key to start after when listing objects in a bucket.
- bucket String
- [string] The name of the bucket where the objects are stored.
- delimiter String
- [string] A character used to group keys.
- encoding
Type String - [string] Specifies the encoding method used to encode the object keys in the response. Default is url.
- fetch
Owner Boolean - [bool] If set to true, the response includes the owner field in the metadata.
- max
Keys Number - [int] Sets the maximum number of keys returned in the response body.Default is 1000.
- prefix String
- [string] Limits the response to keys that begin with the specified prefix.
- start
After String - [string] Specifies the key to start after when listing objects in a bucket.
getObjects Result
The following output properties are available:
- Bucket string
- Common
Prefixes List<string> - A list of keys that act as a delimiter for grouping keys.
- Id string
- The provider-assigned unique ID for this managed resource.
- Keys List<string>
- A list of objects in the bucket.
- Owners List<string>
- Delimiter string
- Encoding
Type string - Fetch
Owner bool - Max
Keys int - Prefix string
- Start
After string
- Bucket string
- Common
Prefixes []string - A list of keys that act as a delimiter for grouping keys.
- Id string
- The provider-assigned unique ID for this managed resource.
- Keys []string
- A list of objects in the bucket.
- Owners []string
- Delimiter string
- Encoding
Type string - Fetch
Owner bool - Max
Keys int - Prefix string
- Start
After string
- bucket string
- common_
prefixes list(string) - A list of keys that act as a delimiter for grouping keys.
- id string
- The provider-assigned unique ID for this managed resource.
- keys list(string)
- A list of objects in the bucket.
- owners list(string)
- delimiter string
- encoding_
type string - fetch_
owner bool - max_
keys number - prefix string
- start_
after string
- bucket String
- common
Prefixes List<String> - A list of keys that act as a delimiter for grouping keys.
- id String
- The provider-assigned unique ID for this managed resource.
- keys List<String>
- A list of objects in the bucket.
- owners List<String>
- delimiter String
- encoding
Type String - fetch
Owner Boolean - max
Keys Integer - prefix String
- start
After String
- bucket string
- common
Prefixes string[] - A list of keys that act as a delimiter for grouping keys.
- id string
- The provider-assigned unique ID for this managed resource.
- keys string[]
- A list of objects in the bucket.
- owners string[]
- delimiter string
- encoding
Type string - fetch
Owner boolean - max
Keys number - prefix string
- start
After string
- bucket str
- common_
prefixes Sequence[str] - A list of keys that act as a delimiter for grouping keys.
- id str
- The provider-assigned unique ID for this managed resource.
- keys Sequence[str]
- A list of objects in the bucket.
- owners Sequence[str]
- delimiter str
- encoding_
type str - fetch_
owner bool - max_
keys int - prefix str
- start_
after str
- bucket String
- common
Prefixes List<String> - A list of keys that act as a delimiter for grouping keys.
- id String
- The provider-assigned unique ID for this managed resource.
- keys List<String>
- A list of objects in the bucket.
- owners List<String>
- delimiter String
- encoding
Type String - fetch
Owner Boolean - max
Keys Number - prefix String
- start
After String
Package Details
- Repository
- ionoscloud ionos-cloud/pulumi-ionoscloud
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ionoscloudTerraform Provider.
Viewing docs for IonosCloud v0.3.0
published on Wednesday, Apr 15, 2026 by ionos-cloud
published on Wednesday, Apr 15, 2026 by ionos-cloud
